m.nviz.image - GRASS manual
Author: GRASS Development Team
Description: m.nviz.image: Renders surfaces (raster data), 2D/3D vector data, and volumes (3D raster data) in 3D.
Keywords: miscellaneous, visualization, graphics, raster, vector, raster3d

## NAME

m.nviz.image - Creates a 3D rendering of GIS data.
Renders surfaces (raster data), 2D/3D vector data, and volumes (3D raster data) in 3D.

## KEYWORDS

miscellaneous, visualization, graphics, raster, vector, raster3d

## SYNOPSIS

m.nviz.image
m.nviz.image --help
m.nviz.image [-anb] [elevation_map=name[,name,...]] [elevation_value=value[,value,...]] [color_map=name[,name,...]] [color=name[,name,...]] [mask_map=name[,name,...]] [transparency_map=name[,name,...]] [transparency_value=value[,value,...]] [shininess_map=name[,name,...]] [shininess_value=value[,value,...]] [emission_map=name[,name,...]] [emission_value=value[,value,...]] [mode=string[,string,...]] [resolution_fine=value[,value,...]] [resolution_coarse=value[,value,...]] [style=string[,string,...]] [shading=string[,string,...]] [wire_color=name[,name,...]] [surface_position=x,y,z[,x,y,z,...]] [vline=name[,name,...]] [vline_layer=string[,string,...]] [vline_width=value[,value,...]] [vline_width_column=name[,name,...]] [vline_color=name[,name,...]] [vline_color_column=name[,name,...]] [vline_mode=string[,string,...]] [vline_height=value[,value,...]] [vline_position=x,y,z[,x,y,z,...]] [vpoint=name[,name,...]] [vpoint_layer=string[,string,...]] [vpoint_size=value[,value,...]] [vpoint_size_column=name[,name,...]] [vpoint_width=value[,value,...]] [vpoint_width_column=name[,name,...]] [vpoint_color=name[,name,...]] [vpoint_color_column=name[,name,...]] [vpoint_marker=string[,string,...]] [vpoint_marker_column=name[,name,...]] [vpoint_mode=string[,string,...]] [vpoint_position=x,y,z[,x,y,z,...]] [volume=name[,name,...]] [volume_mode=string[,string,...]] [volume_shading=string[,string,...]] [volume_position=x,y,z[,x,y,z,...]] [volume_resolution=value[,value,...]] [isosurf_level=volume:value[,volume:value,...]] [isosurf_color_map=name[,name,...]] [isosurf_color_value=name[,name,...]] [isosurf_transparency_map=name[,name,...]] [isosurf_transparency_value=value[,value,...]] [isosurf_shininess_map=name[,name,...]] [isosurf_shininess_value=value[,value,...]] [slice=volume:axis[,volume:axis,...]] [slice_position=x1,x2,y1,y2,z1,z2[,x1,x2,y1,y2,z1,z2,...]] [slice_transparency=value[,value,...]] [bgcolor=name] [position=x,y] [height=value] [perspective=value] [twist=value] [zexag=value] [focus=x,y,z] [light_position=x,y,z] [light_color=name] [light_brightness=integer] [light_ambient=integer] [fringe=string[,string,...]] [fringe_color=name] [fringe_elevation=integer] [cplane=value[,value,...]] [cplane_position=x,y,z[,x,y,z,...]] [cplane_rotation=value[,value,...]] [cplane_tilt=value[,value,...]] [cplane_shading=string] [arrow_position=x,y] [arrow_size=value] [arrow_color=name] output=name format=string size=width,height [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-a
  Use draw mode for all loaded surfaces
-n
  Toggles normal direction of all isosurfaces (changes light effect)
-b
  Draw volume box
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

elevation_map=name[,name,...]
  Name of raster map(s) for elevation
elevation_value=value[,value,...]
  Constant elevation value(s) to use instead of a raster DEM
color_map=name[,name,...]
  Name of raster map(s) for color
color=name[,name,...]
  Color value(s)
  Either a standard color name or R:G:B triplet
mask_map=name[,name,...]
  Name of raster map(s) for mask
transparency_map=name[,name,...]
  Name of raster map(s) for transparency
transparency_value=value[,value,...]
  Transparency value(s)
  Options: 0-255
shininess_map=name[,name,...]
  Name of raster map(s) for shininess
shininess_value=value[,value,...]
  Shininess value(s)
  Options: 0-255
emission_map=name[,name,...]
  Name of raster map(s) for emission
emission_value=value[,value,...]
  Emission value(s)
  Options: 0-255
mode=string[,string,...]
  Draw mode
  Options: coarse, fine, both
  Default: fine
resolution_fine=value[,value,...]
  Fine resolution
  Default: 6
resolution_coarse=value[,value,...]
  Coarse resolution
  Default: 9
style=string[,string,...]
  Draw style
  Options: wire, surface
  Default: surface
shading=string[,string,...]
  Shading
  Options: flat, gouraud
  Default: gouraud
wire_color=name[,name,...]
  Wire color
  Either a standard color name or R:G:B triplet
  Default: 136:136:136
surface_position=x,y,z[,x,y,z,...]
  Surface position
  Default: 0,0,0
vline=name[,name,...]
  Name of vector map
  Name of line vector overlay map(s)
vline_layer=string[,string,...]
  Layer number or name
  Layer number or name for thematic mapping
  Default: 1
vline_width=value[,value,...]
  Vector line width
  Options: 1-100
  Default: 2
vline_width_column=name[,name,...]
  Name of width definition column
  Name of attribute column
vline_color=name[,name,...]
  Vector line color
  Either a standard color name or R:G:B triplet
  Default: blue
vline_color_column=name[,name,...]
  Name of color definition column
  Name of attribute column
vline_mode=string[,string,...]
  Vector line display mode
  Options: surface, flat
  Default: surface
  surface: drape on raster surface
  flat: draw at constant elevation
vline_height=value[,value,...]
  Vector line height
  Options: 0-1000
  Default: 0
vline_position=x,y,z[,x,y,z,...]
  Vector lines position
  Default: 0,0,0
vpoint=name[,name,...]
  Name of vector map
  Name of point vector overlay map(s)
vpoint_layer=string[,string,...]
  Layer number or name
  Layer number or name for thematic mapping
  Default: 1
vpoint_size=value[,value,...]
  Icon size (map units)
  Options: 0-1000
  Default: 100
vpoint_size_column=name[,name,...]
  Name of size definition column
  Name of attribute column
vpoint_width=value[,value,...]
  Icon width
  Options: 1-1000
  Default: 2
vpoint_width_column=name[,name,...]
  Name of width definition column
  Name of attribute column
vpoint_color=name[,name,...]
  Icon color
  Either a standard color name or R:G:B triplet
  Default: blue
vpoint_color_column=name[,name,...]
  Name of color definition column
  Name of attribute column
vpoint_marker=string[,string,...]
  Icon marker
  Options: x, box, sphere, cube, diamond, dec_tree, con_tree, aster, gyro, histogram
  Default: sphere
vpoint_marker_column=name[,name,...]
  Name of marker definition column
  Name of attribute column
vpoint_mode=string[,string,...]
  3D vector point display mode
  Options: surface, 3D
  Default: 3D
  surface: drape on raster surface
  3D: place at 3D point's z-elevation
vpoint_position=x,y,z[,x,y,z,...]
  Vector points position
  Default: 0,0,0
volume=name[,name,...]
  Name of 3D raster map(s)
volume_mode=string[,string,...]
  Volume draw mode
  Options: isosurface, slice
  Default: isosurface
volume_shading=string[,string,...]
  Volume shading
  Options: flat, gouraud
  Default: gouraud
volume_position=x,y,z[,x,y,z,...]
  Volume position
  Default: 0,0,0
volume_resolution=value[,value,...]
  Volume resolution
  Default: 3
isosurf_level=volume:value[,volume:value,...]
  Isosurface level
isosurf_color_map=name[,name,...]
  Name of volume for isosurface color
isosurf_color_value=name[,name,...]
  Isosurface color
  Either a standard color name or R:G:B triplet
isosurf_transparency_map=name[,name,...]
  Name of 3D raster map(s) for isosurface transparency
isosurf_transparency_value=value[,value,...]
  Transparency value(s)for isosurfaces
  Options: 0-255
isosurf_shininess_map=name[,name,...]
  Name of 3D raster map(s) for shininess
isosurf_shininess_value=value[,value,...]
  Shininess value(s) for isosurfaces
  Options: 0-255
slice=volume:axis[,volume:axis,...]
  Volume slice parallel to given axis (x, y, z)
slice_position=x1,x2,y1,y2,z1,z2[,x1,x2,y1,y2,z1,z2,...]
  Volume slice position
  Default: 0,1,0,1,0,1
slice_transparency=value[,value,...]
  Volume slice transparency
  Options: 0-255
  Default: 0
bgcolor=name
  Background color
  Either a standard color name or R:G:B triplet
  Default: white
position=x,y
  Viewpoint position (x,y model coordinates)
  Options: 0.0-1.0
  Default: 0.84,0.16
height=value
  Viewpoint height (in map units)
perspective=value
  Viewpoint field of view (in degrees)
  Options: 1-180
  Default: 40
twist=value
  Viewpoint twist angle (in degrees)
  Options: -180-180
  Default: 0
zexag=value
  Vertical exaggeration
focus=x,y,z
  Focus to point on surface (from SW corner in map units)
light_position=x,y,z
  Light position (x,y,z model coordinates)
  Default: 0.68,-0.68,0.80
light_color=name
  Light color
  Either a standard color name or R:G:B triplet
  Default: white
light_brightness=integer
  Light brightness
  Options: 0-100
  Default: 80
light_ambient=integer
  Light ambient
  Options: 0-100
  Default: 20
fringe=string[,string,...]
  Fringe edges
  Options: nw, ne, sw, se
  nw: North-West edge
  ne: North-East edge
  sw: South-West edge
  se: South-East edge
fringe_color=name
  Fringe color
  Either a standard color name or R:G:B triplet
  Default: grey
fringe_elevation=integer
  Fringe elevation
  Default: 55
cplane=value[,value,...]
  Cutting plane index (0-5)
cplane_position=x,y,z[,x,y,z,...]
  Cutting plane x,y,z coordinates
  Default: 0,0,0
cplane_rotation=value[,value,...]
  Cutting plane rotation along the vertical axis
  Options: 0-360
  Default: 0
cplane_tilt=value[,value,...]
  Cutting plane tilt
  Options: 0-360
  Default: 0
cplane_shading=string
  Cutting plane color (between two surfaces)
  Options: clear, top, bottom, blend, shaded
  Default: clear
arrow_position=x,y
  Place north arrow at given position (in screen coordinates from bottom left corner)
arrow_size=value
  North arrow size (in map units)
arrow_color=name
  North arrow color
  Either a standard color name or R:G:B triplet
  Default: black
output=name [required]
  Name for output image file (without extension)
format=string [required]
  Graphics file format
  Options: ppm, tif
  Default: ppm
size=width,height [required]
  Size (width, height) of output image
  Default: 640,480

## DESCRIPTION

m.nviz.image allows users to realistically render multiple surfaces (raster data) in a 3D space, optionally using thematic coloring, draping 2D vector data over the surfaces, displaying 3D vector data in the space, and visualization of volume data (3D raster data) from the command line.

## EXAMPLE

Render elevation map in a 3D space.

    g.region raster=elevation
    m.nviz.image elevation_map=elevation output=elev perspective=15

## SEE ALSO

wxGUI 3D viewer

## AUTHORS

Martin Landa, Google Summer of Code 2008 (mentor: Michael Barton) and Google Summer of Code 2010 (mentor: Helena Mitasova)
Anna Kratochvilova, Google Summer of Code 2011 (mentor: Martin Landa)

## SOURCE CODE

Available at: m.nviz.image source code (history)

Latest change: Friday Apr 17 01:04:26 2026 in commit: 32a143358df26b2e518b03c7e0d79541e8d1e5b1

Main index | Miscellaneous index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.1dev Reference Manual